Racing Game ‘Stunt Rally’ 2.5 Released [How to Install]

November 5, 2014 — 5 Comments

stunt rally 2.5

Open Source racing game Stunt Rally got a new release with new tracks, sceneries, and other features. Here is how to install it in Ubuntu 14.04, Ubuntu 14.10.

Stunt Rally is an open source racing game with a track editor. It focuses on closed rally tracks with possible stunt elements (jumps, loops, pipes).

Stunt Rally 2.5

The 2.5 release was announced the day before yesterday, and below is the changelog:

  • 167 tracks (20 New)
  • 5 New sceneries: Surreal, Stone, Space, Alien, BlackDesert
  • Common
    • Renamed all tracks with 3 letter prefixes, showing short name in list
      On Replays tab there is a button to “Rename All Old” replays,ghosts and records
  • Game
    • New challenges and championships
    • Solid fluids (e.g. ice, lava, added in editor fluids mode, but solid and flat)
    • Rewind cooldown, after rewind 1 sec delay until next use is possible
    • Fixed game setup update in multiplayer (before was updated only after track change)
  • GUI – Tracks list
    • Now with short name, difficulty and length ratings (in default short view)
    • Selectable columns, and filtering, button Y, Ctrl-F twice to toggle
  • Common
    • Fixed black terrain on ATI/AMD Radeon cards
    • Many smaller fixes
    • Changed translations, more info for strings, own program to generate .pot, topic, Wiki
    • New user log files with errors and warnings only, ogre.err and ogre_ed.err
  • Editor
    • Easier on pipe creating, mark (key 8) now also moves pipe down (ctrl-8 the old way)
    • On pipe sections now marked on minimap as orange
    • Up/down keys working in pick window and objects lists, buildings groups list
    • Checkbox to ignore all “Wrong checkpoint” messages on track (for curly tracks where checks overlap road)
    • Better checkpoints in pipe, now in center and radius 1
  • Tweak
    • Reference graph for tires, loading tires
  • Code
    • Reworked Road_Rebuild.cpp, cleaner, data stucts, split to Road_Prepass.cpp
    • Split common .cfg to settings_com.h and cpp
    • specMap_rgb option in .mat (for rgb only specular maps)
    • Check if tracks and cars exist before replay load
    • Fixed most CppCheck warnings

How to Install Stunt Rally:

2.5 release will be available in PlayDeb repository very soon, so far it’s Stunt Rally 2.4, available for Ubuntu 14.10, Ubuntu 14.04, and Linux Mint 17. Check out the webpage.

1. Enable PlayDeb repository.

For Linux Mint, go to Start Menu -> Software Sources -> Additional repositories -> check out the box that says “”.

For Ubuntu, press Ctrl+Alt+T on keyboard to open the terminal. When it opens, run:

sudo sh -c 'echo "deb trusty-getdeb games" >/etc/apt/sources.list.d/playdeb.list'

Then get the key by command:

wget -q -O- | sudo apt-key add -

2. After checking for updates, you can install Stunt Rally from Synaptic Package Manager. Or run below commands one by one:

sudo apt-get update

sudo apt-get install stuntrally

That’s it.

I'm a freelance blogger who started using Ubuntu 5+ years ago and wishes to share my experiences and some useful tips with Ubuntu beginners and lovers. Please notify me if you find any typo/grammar/language mistakes. English is not my native language. Contact me on Google Plus or email to

5 responses to Racing Game ‘Stunt Rally’ 2.5 Released [How to Install]

  1. Hi.

    Errors here. =/

    Can you help me?

    Err ‘’ trusty-getdeb/games stuntrally-data all 2.4-1~getdeb1
    403 Forbidden
    E: Falhou ao buscar ‘’ 403 Forbidden

    E: Impossível buscar alguns arquivos, talvez executar apt-get update ou tentar com –fix-missing?

  2. Hi.

    My console error in Ubuntu 14.10:

    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help to resolve the situation:

    The following packages have unmet dependencies:
    stuntrally : Depends: libenet2a (>= 1.3.7+ds) but it is not installable
    E: Unable to correct problems, you have held broken packages.

  3. Hi, im here just to say thank you for saving years of my life trying to install this :D I did what u sad and it works ! Ji m for president !

Leave a Reply


Text formatting is available via select HTML.

<a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>